/*
 
 //This file is licensed under the terms of the CC-LGPL
 
 rlpP.pov
 
 Here's a demonstration of how you might make fonts with the rlp macros.
 
*/
  ////
 //   example   //     
//_____________//   
#version 3.7;   
#global_settings {charset utf8 assumed_gamma 1.0}  
//
#include "colors.inc"
#include "chars.inc"
#include "rlp.inc"
#include "CL_rlp_capital_letters_160714.inc" 
// Define the string to be typeset
CL_rlp_make_text_string_set(1) // Defines CL_tiny_space,CL_small_space,CL_medium_space,CL_large_space,CL_huge_space,CL_letter_adjust,
//                                        CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type as globals
#declare CL_debug_lines = 0;
#declare part_dims      = array[3];
#declare my_text_string = "#H_2SO_4 ";  
#declare lhs_object     = object{CL_rlp_make_text_string(my_text_string,CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,
                                                                 CL_d_rad,CL_offs,CL_cham,CL_font_type,CL_dimensions_out)} 

#declare part_dims[0]   = CL_dimensions_out;
//
#declare my_text_string = "# 2H^++ SO^2^-|,|,|,|,|!_4  ";  
#declare rhs_object     = object{CL_rlp_make_text_string(my_text_string,CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,
                                                                 CL_d_rad,CL_offs,CL_cham,CL_font_type,CL_dimensions_out)} 
#declare part_dims[1]   = CL_dimensions_out;
//
#declare mid_object     = object{CL_rlp_make_stack(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                   " |h ","#k_1","#k_2",0,0,CL_dimensions_out) }      
#declare part_dims[2]   = CL_dimensions_out;
//
#declare space_around   = CL_medium_space; 
#declare my_maths_obj   = object{CL_rlp_make_equation(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                      lhs_object,rhs_object,mid_object,"",
                                                      CL_medium_space,part_dims,CL_dimensions_out)} 
#declare relation_mid   = CL_dimensions_out[2]; // This is the x coord of the middle of the relationship, so you can line up, e.g. equals signs.
//
object{my_maths_obj translate <-CL_dimensions_out[0]/2,0,0> pigment{rgb 1} finish{ambient 0 specular 1}}      
//
  ////
 //  end example  //
//_______________//
light_source{<0,20,-25>, 4 fade_power 2 fade_distance 10
  #if(0)
    area_light x*2,y*2,8,8
    jitter adaptive 2
    area_illumination
  #end
            }

#declare zdist = max(4*CL_dimensions_out[0],6*(CL_dimensions_out[1]+CL_dimensions_out[3]));
camera{orthographic location<0,0.9,-zdist> look_at <0,0.9,0> angle 15}

//camera{orthographic
//  location<18,2,-15>
//  look_at <18,1,0>
//  angle 15 
//}
