/*
 
 //This file is licensed under the terms of the CC-LGPL
 
 CL_rlp_letter_test.pov
 
 CL_letter_adjust is defined and default filled within CL_rlp_make_text_string_set as 
 #declare CL_letter_adjust = array[5][100]{{0,...,0},...,{1,...,1},{0,...,0}};
 If you do have more than 100 characters in your string, you will need to extend it.
 
*/
  ////
 //   example   //
//_____________//     
#version 3.7;
#global_settings{charset utf8 assumed_gamma 1.0}   // charset has to be utf8, or some characters don't display properly
//
#include "colors.inc" 
#include "rlp.inc"
#include "CL_rlp_capital_letters_160714.inc" 
//
// Set default dimensions
CL_rlp_make_text_string_set(1)   
#declare CL_debug_lines    = 0;      // Comment out the line for no red outer lines.
//*****************************************************************************************
#declare camera_z_distance = 7.5;
#declare camera_y_height   = 0.7;
#declare CL_set_string     = "#x"
// 
// Put the outer object in place.
//
#declare outer_cham        = 1;      // We want the outer colour object to be chamfered, not rounded.
#declare outer_offs        = 0.0395; // CL_offs is limited to 0.04 for this font and we might need the inner_offs to be bigger than this. 
#declare outer_text_string = object{CL_rlp_make_text_string(CL_set_string,CL_tiny_space,CL_letter_adjust,CL_z1,
                                                            CL_z2,CL_d_rad,outer_offs,outer_cham,CL_font_type,CL_dimensions_out)  
                                     pigment{rgb <0.9,0.9,0.9>}}
object{outer_text_string translate <-CL_dimensions_out[0]/2,0,0>}
//
// Set the dimensions for the inner object.
// Fiddle with this. 1 - 3
#declare two_tone_choose   = 3; 
//
#if(two_tone_choose = 1)
// Front AND chamfer are the inner colour. Not sure why this is nice.
  #declare inner_z1        = -0.2501; 
  #declare inner_offs      =  0.0395; // Can't be bigger than the outer offset of 0.0395    
  #declare inner_z2        = -0.170;  // Remember inner_z2 - inner_z1 > 2*inner_offs, just not too much bigger or the sides will be speckly. 
  #declare inner_cham      =  1;      // Can be either 0 (rounded) or 1 (chamfered)
#end
//
#if(two_tone_choose = 2) 
// Just the chamfer/roundoff is the inner colour.
  #declare inner_z1        = -0.2499;
  #declare inner_offs      =  0.0387; // You might expect this coud be JUST smaller than the standard CL_offs of 0.04, but it needs adjustment.
  #declare inner_z2        = -0.170;  // Remember inner_z2 - inner_z1 > 2*inner_offs, just not too much bigger or the sides will be speckly. 
  #declare inner_cham      =  0;      // Can be either 0 (rounded) or 1 (chamfered).
#end
#if(two_tone_choose = 3) 
// Just the front is the inner colour.
  #declare inner_z1        = -0.2501;
  #declare inner_offs      =  0.04;  
  #declare inner_z2        = -0.170;  // Remember inner_z2 - inner_z1 > 2*inner_offs, just not too much bigger or the sides will be speckly. 
  #declare inner_cham      =  1;      // HAS to be 1 (chamfered).
#end//
#declare inner_text_string = object{CL_rlp_make_text_string(CL_set_string,CL_tiny_space,CL_letter_adjust,inner_z1,
                                                            inner_z2,CL_d_rad,inner_offs,inner_cham,CL_font_type,CL_dimensions_out)  
                                     pigment{rgb <0,1,0>}} 
// Include the object
object{inner_text_string translate <-CL_dimensions_out[0]/2,0,0>}
//
  ////
 //  end example  //
//_______________//


light_source{<0,20,-25>, 4 fade_power 2 fade_distance 10
  #if(0)
    area_light x*2,y*2,8,8
    jitter adaptive 2
    area_illumination
  #end
            }

light_source{<0,20,25>, 4 fade_power 2 fade_distance 10
  #if(0)
    area_light x*2,y*2,8,8
    jitter adaptive 2
    area_illumination
  #end
            }

camera{orthographic location<-camera_z_distance/2,camera_y_height+camera_z_distance/4,-camera_z_distance> 
                    look_at <0,camera_y_height,0> 
                    angle 15}
